LOCALE(1)

NOM
locale - Obtenir des informations sur les paramètres régionaux

SYNOPSIS
locale [OPTION]
locale [OPTION] -a
locale [OPTION] -m
locale [OPTION] NAME...

DESCRIPTION
La commande locale affiche des informations sur la localisation (NdT : la localisation est aussi appelée paramètres régionaux, ou « locale » en anglais) en cours ou pour toutes les localisations, sur la sortie standard. Appelée sans paramètre, locale affiche les définitions en cours de chaque catégorie des paramètres régionaux (voir locale(5)), en fonction des variables d'environnement contrôlant la localisation (voir locale(7)). Si l'option -a ou -m (ou leur équivalent sous forme longue) est indiquée, le comportement suivi cela le suivant :

-a, --all-locales
    Afficher la liste de toutes les localisations disponibles. L'option -v permet d'afficher les métadonnées de chaque locale.

-m, --charmaps
    Afficher les tables de caractères disponibles (fichiers de description de jeux de caractères).

La commande locale peut être appelée avec un ou plusieurs paramètres, qui sont les mots-clés d'une localisation (par exemple date_fmt, ctype-class-names, yesexpr ou decimal_point) ou les catégories d'une localisation (par exemple LC_CTYPE ou LC_TIME). Pour chaque paramètre est affiché :

-   Pour un mot-clé de localisation, la valeur de ce mot-clé est affichée.

-   Pour une catégorie de localisation, les valeurs des mots-clés dans cette catégorie sont affichées.

Lorsque des paramètres sont fournis, les options suivantes sont applicables :

-c, --category-name
    Si le paramètre est un nom de catégorie, afficher le nom de la catégorie sur une ligne distincte avant la liste des mots-clés de cette catégorie. Si le paramètre est un mot-clé, afficher le nom de la catégorie de ce mot-clé sur une ligne distincte avant la valeur du mot-clé. Cette option améliore la lisibilité lorsque plusieurs paramètres sont indiqués. Elle peut être combinée avec l'option -k.

-k, --keyword-name
    Pour chaque mot-clé à afficher, inclure également le nom du mot-clé sous la forme suivante :
        mot-clé="valeur"

La commande locale reconnait les options suivantes :

-v, --verbose
    Afficher des informations supplémentaires sur les options et paramètres de la ligne de commande.

-?, --help
    Afficher un résumé des options et paramètres de la ligne de commande, puis terminer.

--usage
    Afficher un court message d'aide et terminer.

-V, --version
    Afficher la version du programme et terminer.

FICHIERS

/usr/lib/locale/locale-archive
    Chemin par défaut habituel de l'archive des paramètres régionaux.

/usr/share/i18n/locales
    Chemin par défaut habituel des fichiers de définition de paramètres régionaux.

CONFORMITÉ
POSIX.1-2001, POSIX.1-2008.

EXEMPLE
$ locale
LANG=fr_FR.UTF-8
LC_CTYPE="fr_FR.UTF-8"
LC_NUMERIC="fr_FR.UTF-8"
LC_TIME="fr_FR.UTF-8"
LC_COLLATE="fr_FR.UTF-8"
LC_MONETARY="fr_FR.UTF-8"
LC_MESSAGES="fr_FR.UTF-8"
LC_PAPER="fr_FR.UTF-8"
LC_NAME="fr_FR.UTF-8"
LC_ADDRESS="fr_FR.UTF-8"
LC_TELEPHONE="fr_FR.UTF-8"
LC_MEASUREMENT="fr_FR.UTF-8"
LC_IDENTIFICATION="fr_FR.UTF-8"
LC_ALL=
$ locale date_fmt
%A %-e %B %Y, %H:%M:%S (UTC%z)
$ locale -k date_fmt
date_fmt="%A %-e %B %Y, %H:%M:%S (UTC%z)"
$ locale -ck date_fmt
LC_TIME
date_fmt="%A %-e %B %Y, %H:%M:%S (UTC%z)"
$ locale LC_TELEPHONE
+%c (%a) %l
(%a) %l
11
1
UTF-8
$ locale -k LC_TELEPHONE
tel_int_fmt="+%c (%a) %l"
tel_dom_fmt="(%a) %l"
int_select="11"
int_prefix="1"
telephone-codeset="UTF-8"
L'exemple ci-dessous compile avec l'outil localedef(1) des paramètres régionaux personnalisés à partir des fichiers se trouvant dans le répertoire ./wrk. Les paramètres compilés sont stockés dans le répertoire $HOME/.locale, puis le résultat est testé avec la commande date(1), et enfin les variables d'environnement LOCPATH et LANG sont positionnées dans le fichier d'initialisation de l'interpréteur de commandes afin que ces paramètres régionaux personnalisés soient disponibles dans les sessions ultérieures :
$ mkdir -p $HOME/.locale
$ I18NPATH=./wrk/ localedef -f UTF-8 -i fi_SE $HOME/.locale/fi_SE.UTF-8
$ LOCPATH=$HOME/.locale LC_ALL=fi_SE.UTF-8 date
$ echo "export LOCPATH=\$HOME/.locale" >> $HOME/.bashrc
$ echo "export LANG=fi_SE.UTF-8" >> $HOME/.bashrc

VOIR AUSSI
localedef(1), charmap(5), locale(5), locale(7)

COLOPHON
Cette page fait partie de la publication 3.70 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies peuvent être trouvées à l'adresse http://www.kernel.org/doc/man-pages/.

TRADUCTION
Depuis 2010, cette traduction est maintenue à l'aide de l'outil po4a <http://po4a.alioth.debian.org/> par l'équipe de traduction francophone au sein du projet perkamon <http://perkamon.alioth.debian.org/>.

Veuillez signaler toute erreur de traduction en écrivant à <perkamon-fr@traduc.org>.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « LC_ALL=C man <section> <page_de_man> ».